跳到正文
LumiPath API
接口参考帖子

列出某个账号连接在平台上原生发布的帖子(游标分页)。

GET
/api/v1/posts

鉴权

ApiKeyAuth
header鉴权Bearer <lumi>

Authorization: Bearer lumi_xxx。用户 API Key 拥有完整权限,自主运行的 agent 可以发布视频、取消任务。每个账号只有一把 Key,如需隔离请为 agent 使用单独的 LumiPath 账号。

Query 参数

connectionId*string
page?integer
范围1 <= value
默认值1
limit?integer
范围1 <= value <= 50
默认值20
cursor?string

响应体

成功

application/json
  1. response
success*true
Value intrue
data*
请求示例
curl -X GET 'https://app.lumipath.cn/api/v1/posts?connectionId=string'
响应示例
{  "success": true,  "data": {    "posts": [      {        "postId": "string",        "platform": "tiktok",        "type": "video",        "title": "string",        "caption": "string",        "url": "string",        "thumbnailUrl": "string",        "publishedAt": "string",        "stats": {          "views": 0,          "likes": 0,          "comments": 0,          "shares": 0        },        "pagePostId": "string"      }    ],    "pagination": {      "nextCursor": "string",      "hasMore": true,      "page": 0,      "limit": 0    }  }}